Results 1 to 8 of 8

Thread: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

  1. #1
    Join Date
    Jan 2013
    Location
    India
    Posts
    316

    Exclamation Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    While installing ooo2gd_3.0.1.oxt extension http://extensions.openoffice.org/en/...cs-zoho-webdav on LibreOffice I get following error.
    Code:
    (com.sun.star.uno.RuntimeException) { { Message = "javaloader error - could not find class com/sun/star/comp/loader/JavaLoader", Context = (com.sun.star.uno.XInterface) @0 } }
    In Windows I have both 64bit and 32bit versions of java installed. If I choose 64 bit version of Java in Tools>Options>Advanced>Java Options I get the same error. And when I change to 32 bit version in Tools>Options>Advanced>Java Options, the ooo2gd_3.0.1.oxt extension installs flawlessly.

    Should I also install 32bit version of Java on my openSUSE system.

    I installed java according to guide https://en.opensuse.org/SDB:Installing_Java
    Code:
    akash:~ # java -version
    java version "1.8.0_25"
    Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
    Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)
    openjdk is also present.

  2. #2

    Default Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Quote Originally Posted by vish_99 View Post
    While installing ooo2gd_3.0.1.oxt extension http://extensions.openoffice.org/en/...cs-zoho-webdav on LibreOffice I get following error.
    Code:
    (com.sun.star.uno.RuntimeException) { { Message = "javaloader error - could not find class com/sun/star/comp/loader/JavaLoader", Context = (com.sun.star.uno.XInterface) @0 } }
    What openSUSE version?
    Looks like this problem on 13.2:
    https://bugzilla.opensuse.org/show_bug.cgi?id=906688

    Installing libreoffice from the LibreOffice:4.3 repo should "fix" it.
    Code:
    sudo zypper ar -f http://download.opensuse.org/repositories/LibreOffice:/4.3/openSUSE_13.2 LibreOffice:4.3
    sudo zypper dup --from LibreOffice:4.3
    Should I also install 32bit version of Java on my openSUSE system.
    No. libreoffice is a 64bit application (on openSUSE 64bit).
    It wouldn't help anyway, as this is a libreoffice problem (missing files in the package), not a java problem or a problem in finding java.

  3. #3
    Join Date
    Jan 2013
    Location
    India
    Posts
    316

    Thumbs up Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    @wolfi323 your solution worked.

    One more thing. How will I know that a given problem is not from side but is a bug? When shoud I report it on bugzilla. Can you post a link on short intro to bugzilla

  4. #4

    Default Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Quote Originally Posted by vish_99 View Post
    One more thing. How will I know that a given problem is not from side but is a bug?
    Hard to say in general.

    Some good ways to troubleshoot:
    - create a new user and login as that user. Does the problem persist? If yes it's a general problem, if not it's related to the user configuration (doesn't necessarily mean that it's no bug though... )
    - try to install a different version if available.
    - try the same on a different distribution (via a LiveCD e.g.). That way you'll see whether it is an openSUSE specific problem, or a general problem with that software.
    - run the software in the terminal window. Maybe you'll get some output that would point to the problem...
    - ask in the forums if other people can reproduce it...
    - in the case of LibreOffice in particular you can also try to install the packages from libreoffice.org (even side-by-side with openSUSE's packages). If the problem exists with those as well, it is definitely a bug in LibreOffice, and should be reported to them.

    When shoud I report it on bugzilla. Can you post a link on short intro to bugzilla
    For openSUSE, see here:
    https://en.opensuse.org/openSUSE:Submitting_bug_reports
    https://en.opensuse.org/openSUSE:Bug_reporting_FAQ

    Other projects may have their own policies, or use different bug reporting systems (although bugzilla is quite common).

  5. #5
    Join Date
    Jan 2013
    Location
    India
    Posts
    316

    Post Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Has the problem been solved. Can I revert back to official openSUSE version of libreoffice.
    I've 28 repos added with 23 enable and was thinking of decreasing repos added.
    Acer V3-571G - openSUSE Leap 42.2; Windows 10 Pro

  6. #6

    Default Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Quote Originally Posted by vish_99 View Post
    Has the problem been solved. Can I revert back to official openSUSE version of libreoffice.
    No. There has not been any official update to libreoffice in 13.2 since January.

    But you could have looked at the status of the bug report yourself.

  7. #7
    Join Date
    Jan 2013
    Location
    India
    Posts
    316

    Post Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Quote Originally Posted by wolfi323 View Post
    But you could have looked at the status of the bug report yourself.
    It said confirmed. Didn't know what that means
    Acer V3-571G - openSUSE Leap 42.2; Windows 10 Pro

  8. #8

    Default Re: Error Installing ooo2gd_3.0.1.oxt on LibreOffice

    Quote Originally Posted by vish_99 View Post
    It said confirmed. Didn't know what that means
    Well, "CONFIRMED" means, it is confirmed that there is a bug. What else would you expect?

    Or, as the help page states, that you get when you click on "Status": (https://bugzilla.opensuse.org/page.c...on_matrix.html)
    CONFIRMED
    State of bugs waiting to be worked on. The Assignee changes the status to IN_PROGRESS when work on it begins.
    When a bug is fixed, its status will be RESOLVED FIXED. There are other states of course, see the above page.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •